\name{closureTransitive}
\alias{closureTransitive}
\alias{closureTransitive.default}
\alias{closureTransitive.cover}
\alias{closureTransitive.incidence}

\title{
Closure Transitive
}
\description{
The function adds to the relation represented by the matrix \code{m} the
transitive property.
}
\usage{
closureTransitive(m)
}

\arguments{
  \item{m}{
a generic square boolean matrix representing a covering relation structure,
an object of class \code{cover} or an object of class \code{incidence}.
}
}

\value{
an object of the same class of \code{m}.
}

\seealso{
\code{\link{is.partialorder}}
}
\examples{
m <- c(1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 1, 0, 1)
m <- matrix(m, 4, 4)

closureTransitive(m)
}