\name{downset}
\alias{downset}
\alias{downset.incidence}
\alias{downset.cover}

\title{
downset
}
\description{
The function returns a boolean vector indicating if each element of the poset domains (or is equal to) at least an element of the subset \code{Q}.
}
\usage{
downset(z, ...)
\method{downset}{cover}(z, ...)
\method{downset}{incidence}(z, Q = NULL, ...)
}

\arguments{
  \item{z}{
a cover or an incidence matrix, respectivelly of S3 classes \code{cover} or \code{incidence}
}
  \item{Q}{
vector to select a subset of the profiles in the poset defined through \code{z}
}
  \item{\dots}{
any of the above.
}
}
\examples{
z <- getzeta(var2prof(varlen = c(2, 2, 2)))

plot(z, col = 1 + c(1, 1, 0, 0, 1, 0, 0, 0) + c(0, 0, 0, 2, 0, 0, 2, 2), lwd = 2)

Q <- c(4, 7, 8)
rownames(z)[Q]
downset(z, Q)

Q <- c("211", "112", "111")
downset(z, Q)
}