\name{gen.downset}
\alias{gen.downset}

\title{
The subset that generates an downset
}
\description{
The function returns the subset that generates the downset \code{Q} in the poset
described by the incidence matrix \code{z}.
}
\usage{
gen.downset(z, Q = 1)
}

\arguments{
  \item{z}{
an incidence matrix.
}
  \item{Q}{
a vector (\code{boolean}, \code{numeric} that indexes the profiles,
or \code{character} as the profiles names) to select an downset.
}
}
\value{
A \code{boolean} vector.
}

\seealso{
\code{\link{gen.upset}}
}
\examples{
lv <- c(2, 3, 2)
prof <- var2prof(varlen = lv)

z <- getzeta(prof)
down <- c("111", "211", "112", "212")
gen <- gen.downset(z, down)

plot(z, lwd = 1 + (rownames(prof$profiles)\%in\%down), col = 1 + gen, sub = "bold = the downset, red = the subset that generates the downset")
}