\name{gen.upset}
\alias{gen.upset}

\title{
The subset that generates an upset
}
\description{
The function returns the subset that generates the upset \code{Q} in the poset
described by the incidence matrix \code{z}.
}
\usage{
gen.upset(z, Q = 1)
}

\arguments{
  \item{z}{
an incidence matrix.
}
  \item{Q}{
a vector (\code{boolean}, \code{numeric} that indexes the profiles,
or \code{character} as the profiles names) to select an upset.
}
}
\value{
A \code{boolean} vector.
}

\seealso{
\code{\link{gen.downset}}
}
\examples{
lv <- c(2, 3, 2)
prof <- var2prof(varlen = lv)

z <- getzeta(prof)
up <- c("221", "131", "231", "222", "132", "232")
gen <- gen.upset(z, up)

plot(z, lwd = 1 + (rownames(prof$profiles)\%in\%up), col = 1 + gen, sub = "bold = the upset, red = the subset that generates the upset")
}