\name{is.partialorder}
\alias{is.partialorder}

\title{
is.partialorder
}
\description{
The function check whether the square matrix \code{m} is a partialorder.
If \code{TRUE} the matrix \code{m} can be used as incidence matrix, its
validation can be obtained through the function
\code{\link{validate.partialorder.incidence}}.
}
\usage{
is.partialorder(m)
}

\arguments{
  \item{m}{
a square matrix.
}
}
\seealso{
\code{\link{transitivity}}, \code{\link{binary}}, \code{\link{reflexivity}},

\code{\link{antisymmetry}}, \code{\link{is.preorder}},

\code{\link{validate.partialorder.incidence}}
}
\examples{
M <- c(TRUE, FALSE, FALSE, FALSE, TRUE, TRUE, FALSE, FALSE, TRUE, FALSE, TRUE,
FALSE, TRUE, TRUE, TRUE, TRUE)
M <- matrix(M, 4, 4)
rownames(M) <- colnames(M) <- LETTERS[1:4]

is.partialorder(M)
}
