\name{obsprof}
\alias{obsprof}
\alias{obsprof.wprof}

\title{
Remove unobserved profiles
}
\description{
The function removes from a \code{prof} the unobserved profiles
(frequencies equal to zero) and it returns an object of S3 class \code{wprof}
composed by the remaining profiles and their respective frequencies.
}
\usage{
obsprof(prof)
\method{obsprof}{wprof}(prof)
}

\arguments{
  \item{prof}{
object of S3 class \code{wprof}.
}
}

\examples{
prf <- var2prof(varlen = c(3, 3, 3))
prf$freq <- sample(c(0, 1), 3*3*3, replace = TRUE)
prf <- obsprof(prf)
plot(prf, shape = "equispaced")
}