\name{pop2prof}
\alias{pop2prof}

\title{
Population to profiles
}
\description{
Extract from a population the observed profiles and their frequencies.
}
\usage{
pop2prof(y, labtype = c("profiles", "progressive"))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{y}{
an observations matrix, used to count the profiles frequencies. See details.
}
  \item{labtype}{
the user can choose the type of labels to assign to the profiles. See details.
}
}
\details{
The parameter \code{y} is a data.frame of observation of the ordinal or numeric variables. It is important that the order is defind into the object type, in order to build the incidence matrix (see \code{\link{getzeta}}).

The function estracts from the population the variables and their observed modalities, from them, it builds all the possible profiles and it assign them the frequencies. Note that, if some modalities are not observed their will not used to build the profiles. Therefore, this function shuld be used only if the variables definition has to be detected from the population, otherwise the function \code{\link{var2prof}} has to be used.

The user can choose the type label to assign to profiles. \code{profiles} is the combination of modailties that identify the profiles. When the names of the modalities are long, it is better to choose \code{progressive}, that assign to each profile a progressive number preceded by the letter "P".
}
\value{
The function returns an object of S3 class \code{wprof}, "weighted profiles", which contains the \code{data.frame} named \code{profiles} and the vector of frequencies \code{freq}.
}
\seealso{
\code{\link{var2prof}}, \code{\link{getzeta}}
}
\examples{
n <- 5
v1 <- as.ordered(c("a", "b", "c", "d"))
v2 <- 1:3
pop <- data.frame(
    v1 = sample(v1, n, replace = TRUE),
    v2 = sample(v2, n, replace = TRUE)
)
pop2prof(pop)
}