\name{summary.parsec}
\alias{summary.parsec}

\title{
Summary of the results obtained by the evaluation function
}

\description{
S3 method of the function \code{summary} that for an object of class \code{parsec},
obtained from the \code{\link{evaluation}} function, write the main informations.
In particular, it writes a table that for each profile shows
\itemize{
\item{}{the modalities of the variables that identify the profile (if they are
returned buy the \code{\link{evaluation}} function,}
\item{the weight assigned,}
\item{if it belongs to the threshold,}
\item{the value of the identification function,}
\item{the average rank,}
\item{the different gap measures (see \code{\link{evaluation}} for details).}
}
If the number of profiles is higher then ten, the showen table is cut, but
this method returns a \code{data.frame} representing the complete table as output.
This \code{data.frame} can also be summarized.

Finally this method shows the average poverty and wealth gaps and the inequality
measure.
}
\usage{
\method{summary}{parsec}(object, ...)
}

\arguments{
  \item{object}{
  an object of S3 class \code{parsec}, output of the \code{\link{evaluation}} function.
}
  \item{\dots}{
added for consistency with the generic method.
}
}

\seealso{
\code{\link{evaluation}}
}
\examples{
profiles <- var2prof(varlen = c(3, 2, 4))
threshold <- c("311", "112")

res <- evaluation(profiles, threshold, nit = 10^3)

sm <- summary(res)
summary(sm)
}
