\name{validate.partialorder.incidence}
\alias{validate.partialorder.incidence}

\title{
validate.partialorder.incidence
}
\description{
The function check whether the square matrix \code{m} is a partialorder. If it is so, the function returns the same matrix assigning to it the S3 class \code{incidence}. Else, the function stops and returns the characteristics that lacks to matrix \code{m} to be a partialorder.
}
\usage{
validate.partialorder.incidence(m)
}

\arguments{
  \item{m}{
a square matrix.
}
}
\seealso{
\code{\link{transitivity}}, \code{\link{binary}}, \code{\link{reflexivity}},

\code{\link{antisymmetry}}, \code{\link{is.preorder}}, \code{\link{is.partialorder}}
}
\examples{
M <- c(TRUE, FALSE, FALSE, FALSE, TRUE, TRUE, FALSE, FALSE, TRUE, FALSE, TRUE,
FALSE, TRUE, TRUE, TRUE, TRUE)
M <- matrix(M, 4, 4)
rownames(M) <- colnames(M) <- LETTERS[1:4]

M <- validate.partialorder.incidence(M)

plot(M)
}
