\name{vertices}
\alias{vertices}

\title{
Coordinates of the vertices of Hasse diagram
}
\description{
The function returns the coordinates of the vertices of Hasse diagram that can be used to draw the diagram through a scatter-plot.
}
\usage{
vertices(C, shape = c("square", "circle", "equispaced"))
}

\arguments{
  \item{C}{
cover matrix, an object of class S3 \code{cover}.
}
  \item{shape}{
shape of the diagram. See details.
}
}
\details{
The possible shapes of the diagram are: \code{square}; \code{circle}; \code{equispaced}. With the last one, the function sets the same spaces over the X-axis between the vertices. If the maximal or the minimal elements of the poset are more than one, the \code{equispaced} shape is suggested. The function is used by the plot methods defined in this package (see \code{\link{plot.cover}}).
}

\seealso{
\code{\link{plot.cover}}
}